#pragma once

#include <unordered_map>
#include <string>

#include <xcb/xcb.h>

class XcbExtensionInterface
{
public:
    void initialize(xcb_connection_t* connection);

    bool isXkBEvent(unsigned responseType) const;

private:
    bool mHasXkb{false};
    uint8_t mXkbEventFlag{0};
    //std::unordered_map<std::string, xcb_extension_t> mExtensions;
};
